commit: 46f5df0ea03bcacb570f40ce2ac1d6c8ee0632a5
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 24 01:41:45 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Tue Oct 24 01:48:46 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46f5df0e
dev-perl/Gtk2-Ex-Simple-List: Enable tests
- EAPI6
- Add USE=examples
- Enable Tests (require X11)
Package-Manager: Portage-2.3.8, Repoman-2.3.3
.../Gtk2-Ex-Simple-List-0.500.0-r2.ebuild | 27 ++++++++++++++++++++++
1 file changed, 27 insertions(+)
diff --git a/dev-perl/Gtk2-Ex-Simple-List/Gtk2-Ex-Simple-List-0.500.0-r2.ebuild
b/dev-perl/Gtk2-Ex-Simple-List/Gtk2-Ex-Simple-List-0.500.0-r2.ebuild
new file mode 100644
index 00000000000..ca999714796
--- /dev/null
+++ b/dev-perl/Gtk2-Ex-Simple-List/Gtk2-Ex-Simple-List-0.500.0-r2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=RMCFARLA
+DIST_VERSION=0.50
+DIST_SECTION=Gtk2-Perl-Ex
+DIST_EXAMPLES=( "examples/*" )
+inherit perl-module virtualx
+
+DESCRIPTION="A simple interface to Gtk2's complex MVC list widget"
+
+LICENSE="|| ( LGPL-2.1 LGPL-3 )" # LGPL-2.1+
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~sparc ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-perl/Gtk2-1.60.0
+ >=dev-perl/glib-perl-1.62.0
+"
+DEPEND="${RDEPEND}"
+
+src_test() {
+ virtx perl-module_src_test
+}